com.sun.jna

## Interface CallbackProxy

- All Superinterfaces:
    Callback

      public interface CallbackProxy
      extends Callback

  Placeholder proxy interface to allow an InvocationHandler to convert arguments/return values on callback methods. This is a special sub-interface of `Callback` which expects its arguments in a single Object array passed to its `callback(java.lang.Object[])` method.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Callback

      `Callback.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from interface com.sun.jna.Callback

      `FORBIDDEN_NAMES, METHOD_NAME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `callback(java.lang.Object[] args)` This is the callback method invoked from native code.
    `java.lang.Class[]` | `getParameterTypes()` Returns the types of the parameters to the callback method.
    `java.lang.Class` | `getReturnType()` Returns the type of the callback method's return value.

- - ### Method Detail

    - #### callback

          java.lang.Object callback(java.lang.Object[] args)

      This is the callback method invoked from native code. It must not throw any exceptions whatsoever.

    - #### getParameterTypes

          java.lang.Class[] getParameterTypes()

      Returns the types of the parameters to the callback method.

    - #### getReturnType

          java.lang.Class getReturnType()

      Returns the type of the callback method's return value.

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.